libosmocore 1.13.1.1-afb4 Osmocom core library

Data Fields
iofd_backend_ops Struct Reference

`#include <osmo_io_internal.h>`

## Data Fields
int(* | setup )(struct osmo_io_fd *iofd)
int(* | register_fd )(struct osmo_io_fd *iofd)
int(* | unregister_fd )(struct osmo_io_fd *iofd)
int(* | close )(struct osmo_io_fd *iofd)
void(* | write_enable )(struct osmo_io_fd *iofd)
void(* | write_disable )(struct osmo_io_fd *iofd)
void(* | read_enable )(struct osmo_io_fd *iofd)
void(* | read_disable )(struct osmo_io_fd *iofd)
void(* | notify_connected )(struct osmo_io_fd *iofd)

## Field Documentation

## ◆ close

int(* iofd_backend_ops::close) (struct osmo_io_fd *iofd)

Referenced by __attribute__(), and osmo_iofd_close().

## ◆ notify_connected

void(* iofd_backend_ops::notify_connected) (struct osmo_io_fd *iofd)

Referenced by __attribute__(), and osmo_iofd_notify_connected().

## ◆ read_disable

void(* iofd_backend_ops::read_disable) (struct osmo_io_fd *iofd)

Referenced by __attribute__(), osmo_iofd_close(), and osmo_iofd_set_ioops().

## ◆ read_enable

void(* iofd_backend_ops::read_enable) (struct osmo_io_fd *iofd)

Referenced by __attribute__(), osmo_iofd_register(), and osmo_iofd_set_ioops().

## ◆ register_fd

int(* iofd_backend_ops::register_fd) (struct osmo_io_fd *iofd)

Referenced by __attribute__(), and osmo_iofd_register().

## ◆ setup

int(* iofd_backend_ops::setup) (struct osmo_io_fd *iofd)

Referenced by osmo_iofd_setup().

## ◆ unregister_fd

int(* iofd_backend_ops::unregister_fd) (struct osmo_io_fd *iofd)

Referenced by __attribute__(), and osmo_iofd_unregister().

## ◆ write_disable

void(* iofd_backend_ops::write_disable) (struct osmo_io_fd *iofd)

Referenced by __attribute__(), iofd_poll_ofd_cb_recvmsg_sendmsg(), iofd_txqueue_dequeue(), and osmo_iofd_close().

## ◆ write_enable

void(* iofd_backend_ops::write_enable) (struct osmo_io_fd *iofd)

Referenced by __attribute__(), iofd_txqueue_enqueue(), iofd_txqueue_enqueue_front(), and osmo_iofd_register().

The documentation for this struct was generated from the following file:

- src/core/osmo_io_internal.h